Module | Sequel::Dataset::UnsupportedIntersectExcept
In: | lib/sequel/adapters/utils/unsupported.rb

This module should be included in the dataset class for all databases that don‘t support INTERSECT or EXCEPT.

### Methods

except intersect

### Public Instance methods

except(ds, all=false)

Raise an Error if EXCEPT is used

[Source]

       # File lib/sequel/adapters/utils/unsupported.rb, line 6
    6:     def except(ds, all=false)
    7:       raise(Sequel::Error, "EXCEPT not supported")
    8:     end

intersect(ds, all=false)

Raise an Error if INTERSECT is used

[Source]

        # File lib/sequel/adapters/utils/unsupported.rb, line 11
    11:     def intersect(ds, all=false)
    12:       raise(Sequel::Error, "INTERSECT not supported")
    13:     end

[Validate]